CVS: tmda/contrib vmailmgr-vdir.sh,1.2,1.3 ChangeLog,1.100,1.101
Timothy Legant <[email protected]>
| Newsgroups | gmane.mail.spam.tmda.cvs |
|---|---|
| Message-ID | <[email protected]> |
Update of /cvsroot/tmda/tmda/contrib
In directory sc8-pr-cvs1:/tmp/cvs-serv28067/contrib
Modified Files:
vmailmgr-vdir.sh ChangeLog
Log Message:
Apparently the listvdomain program doesn't always return a non-zero
error code when the recipient is unknown. Added an extra check for
non-null output in vmailmgr-vdir.sh.
Index: vmailmgr-vdir.sh
===================================================================
RCS file: /cvsroot/tmda/tmda/contrib/vmailmgr-vdir.sh,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- vmailmgr-vdir.sh 18 Jun 2003 03:29:11 -0000 1.2
+++ vmailmgr-vdir.sh 31 Jul 2003 20:09:32 -0000 1.3
@@ -30,6 +30,10 @@
exit $rc
fi
+if [ ! "$output" -o -z "$output" ]; then
+ exit 1
+fi
+
set -- $output
# Reset IFS to a space, tab, newline.
Index: ChangeLog
===================================================================
RCS file: /cvsroot/tmda/tmda/contrib/ChangeLog,v
retrieving revision 1.100
retrieving revision 1.101
diff -u -r1.100 -r1.101
--- ChangeLog 18 Jun 2003 03:29:11 -0000 1.100
+++ ChangeLog 31 Jul 2003 20:09:32 -0000 1.101
@@ -1,3 +1,9 @@
+2003-07-31 Tim Legant <[email protected]>
+
+ * vmailmgr-vdir.sh: Apparently the listvdomain program doesn't
+ always return a non-zero error code when the recipient is
+ unknown. Added extra check for non-null output.
+
2003-06-17 Tim Legant <[email protected]>
* vmailmgr-vdir.sh, vpopmail-vdir.sh: Modified to return error
_______________________________________
tmda-cvs mailing list
http://tmda.net/lists/listinfo/tmda-cvs